#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module Dictionaries

class AskWordFromDictionary

  begin
    require 'colours'
  rescue LoadError; end

  # ========================================================================= #
  # === green
  # ========================================================================= #
  def green
    Colours::GREEN
  end

  # ========================================================================= #
  # === brown
  # ========================================================================= #
  def brown(i = '')
    "#{Colours::BROWN}#{i}#{Colours.revert}"
  end

  # ========================================================================= #
  # === sfancy
  # ========================================================================= #
  def sfancy(i)
    ::Colours.sfancy(i)
  end

  # ========================================================================= #
  # === simp
  # ========================================================================= #
  def simp(i)
    ::Colours.simp(i)
  end; alias simportant simp # === simportant

  # ========================================================================= #
  # === sfile
  # ========================================================================= #
  def sfile(i)
    ::Colours.sfile(i)
  end

  # ========================================================================= #
  # === sdir
  # ========================================================================= #
  def sdir(i)
    ::Colours.sdir(i)
  end

end; end