#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file will point to the yaml directory of the Dictionaries project.
# =========================================================================== #
# require 'dictionaries/project/project.rb'
# =========================================================================== #
module Dictionaries

  # ========================================================================= #
  # === Dictionaries::PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY =
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === Dictionaries.project_base_dir?
  # ========================================================================= #
  def self.project_base_dir?
    PROJECT_BASE_DIRECTORY
  end

  # ========================================================================= #
  # === PROJECT_YAML_DIRECTORY
  # ========================================================================= #
  PROJECT_YAML_DIRECTORY = "#{PROJECT_BASE_DIRECTORY}yaml/"

  # ========================================================================= #
  # === Dictionaries.project_yaml_dir?
  # ========================================================================= #
  def self.project_yaml_dir?
    PROJECT_YAML_DIRECTORY
  end; self.instance_eval { alias dictionary_directory? project_yaml_dir? } # === Dictionaries.dictionary_directory?

end