#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'dictionaries/toplevel_methods/show_help.rb'
# =========================================================================== #
require 'dictionaries/toplevel_methods/e.rb'

module Dictionaries

  # ========================================================================= #
  # === Dictionaries.show_help
  #
  # To invoke this, try:
  #
  #   dictionaries --help
  #
  # ========================================================================= #
  def self.show_help
    help_string = <<EOF
These options are currently available:

  --n_words?                  # Show how many words are available
  --gui                       # Start the GTK GUI; aliases exist to this, such as --gtk
  --read=www.nytimes.com.html # Read from a specific file, to find unique words

EOF
    e help_string
  end

end