# -*- encoding: utf-8 -*-
# stub: dictionaries 0.3.34 ruby lib

Gem::Specification.new do |s|
  s.name = "dictionaries".freeze
  s.version = "0.3.34"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.4.10".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2023-05-20"
  s.description = "\nThis project is called dictionaries.\n\nIt used to be called ask_english_words but the name was changed towards\n\"dictionaries\", when the focus became on dictionaries in general rather\nthan merely translations from and to the english language.\n\nThere are a total of 2607 english words\nregistered, with the associated german translation. (It is\ngerman primarily because that is my native language, but in\nprinciple this project could be extended to include other\nlanguages as well. You only need to add a yaml file containing\nthe key-value pairs.)\n\nIf you need a more comprehensive dictionary, I can recommend\nthe file de-en.txt that is part of the tu-chemnitz \ndistribution ( https://www-user.tu-chemnitz.de/~fri/ding/ ). That\nfile is really huge - about 20 MB.\n\nIn principle, the dictionaries project could be extended to \nmake use of that massive file instead. I will be thinking\nabout this for the time being (starting at July 2018).\n\n".freeze
  s.email = "shevy@inbox.lt".freeze
  s.homepage = "https://www.rubydoc.info/gems/dictionaries/".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "\n  This project can ask or translate english or italian words (or words\n  from any other language, as long as a .yml file is supplied that\n  contains these key-value pair entries).\n\n  This project is probably not very useful for other people, but it helps\n  me to improve my knowledge about the english or italian language or\n  any other language.\n\n  For more information, have a look at the main README.md file, which\n  can also be found on the hompage of this gem at rubygems.org, on\n  the bottom right side (see https://www.rubydoc.info/gems/dictionaries/ ).\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.7.6".freeze)
  s.rubygems_version = "3.4.10".freeze
  s.summary = "This project is called dictionaries.  It used to be called ask_english_words but the name was changed towards \"dictionaries\", when the focus became on dictionaries in general rather than merely translations from and to the english language.  There are a total of 2607 english words registered, with the associated german translation. (It is german primarily because that is my native language, but in principle this project could be extended to include other languages as well. You only need to add a yaml file containing the key-value pairs.)  If you need a more comprehensive dictionary, I can recommend the file de-en.txt that is part of the tu-chemnitz  distribution ( https://www-user.tu-chemnitz.de/~fri/ding/ ). That file is really huge - about 20 MB.  In principle, the dictionaries project could be extended to  make use of that massive file instead. I will be thinking about this for the time being (starting at July 2018).".freeze

  s.installed_by_version = "3.4.10" if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<generate_shell_completion>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<open>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<save_file>.freeze, [">= 0"])
  s.add_runtime_dependency(%q<xorg_buffer>.freeze, [">= 0"])
end
